Subject: Re: bug#19889: bug#22207: emacs-25 mishandles info code text on Fedora 23

From: Eli Zaretskii <[email-masked]>
Date: Fri, 06 May 2016 09:49:32 +0300

> From: Paul Eggert <[email-masked]>
> Date: Thu, 5 May 2016 15:54:39 -0700
> 
> On 05/05/2016 02:29 PM, Glenn Morris wrote:
> > Info-quoted and tex-verbatim faces
> > continue to look poor on RHEL 7, so I unmerged and reopened my own
> > #19889.
> >
> Please try the attached patch against Emacs 25. It attempts to implement 
> Stefan's suggestions in Bug#19889, and this improved things for me on 
> Fedora 23, when I ran 'emacs -Q'.
> 
> Although this patch makes things worse when I run emacs without -Q, that 
> is because I have this in my ~/.Xresources:
> 
> Emacs.font: -misc-fixed-medium-r-semicondensed--0-0-75-75-c-0-iso8859-1
> 
> which is an old-timer expert setting that I should really fix one of 
> these days, so I wouldn't put too much weight on my glitch.

If we are going to use such kludges, why not specify fonts explicitly
in the defface to begin with?  After all, that's what your patch
attempts to do, albeit indirectly, right?

In general, I find the family specification to be too fragile for any
reliable specification of typefaces: the results are inconsistent
across different systems and tend to depend too much on local setup.
Unfortunately, we don't have a font expert on board who could point
out how to do that better, or how to improve the current font
selection machinery to produce more reliable results.  (My impression
is that all the font-related attributes are not perceived as mandatory
enough, and the font selection code tries very hard to find _some_
font, even if it doesn't fit the constraints.  But I have no proof for
this impression.)